SpriteLibrary

# SpriteInfo Fields

The SpriteInfo type exposes the following members.

Fields

| Name | Description
--- | --- | ---
| Animations | This is the list of animations that make up the sprite. Again, you do not want to use these within your program. Let the SpriteDatabase use this. The reason these are visible to the program is because This code uses "XML Serialization" to load and save. XML Serialization requires the items you are serializing to be "public", which makes them visible.
| SpriteName | The name of the sprite. It should be unique within your application
| ViewPercent | The percentage size when the sprite is normally displayed. For example: If the image you drew your sprite on has your sprite drawn on a 200x200 grid, but you want your sprite to normally be 100x100, you would tell it to be 50 (50 percent of the original size).

Top
See Also

#### Reference

SpriteInfo Class
SpriteLibrary Namespace